lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Hostetter <hossman_luc...@fucit.org>
Subject Re: javadoc compilation problem?
Date Wed, 14 Jun 2006 19:02:25 GMT

: I tried building the java doc without any errors using java  5 but
: using 1.4the api doc can not be build.

the problem is that javadoc has to parse the files to generate the docs,
and the 1.4 javadoc binary doesn't understand the 1.5 syntax.

I've just commited a change to the build.xml so that it will only attempt
to do the GData javadocs if it detecs that the users is running in a 1.5
JVM.  If a few people could try this out on both 1.4 and 1.5 and sanity
check it for me i'd appreciate it (i did test it, but it's always good to
get a few eye balls)

I feel it's important to point out, the way i did this feels like a big
freaking hack to me ... if we want to support 1.5 contrib modules moving
forward, we're going to want a more reobust way to deal with this.


-Hoss


---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message